<?php

namespace App\Models\Informacia\Enums;

use Spatie\Enum\Laravel\Enum;

/**
 * Class StavInformacieEnum
 *
 * @method static self ZVEREJNENA()
 * @method static self PLANOVANE_ZVEREJNENIE()
 * @method static self ROZPISANA()
 * @method static self SKRYTA()
 */
final class StavInformacieEnum extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'ZVEREJNENA' => 'zverejnená',
            'PLANOVANE_ZVEREJNENIE' => 'plánované zverejnenie',
            'ROZPISANA' => 'rozpísaná',
            'SKRYTA' => 'skrytá',
        ];
    }

    public function color(): string
    {
        switch ($this->value) {
            case 'ZVEREJNENA':
                return '#81d2c7';
            case 'PLANOVANE_ZVEREJNENIE':
                return '#e0e0e2';
            case 'ROZPISANA':
                return '#7389ae';
            case 'SKRYTA':
                return '#b5bad0';
            default:
                return '#e0e0e9';
        }
    }
}
